# Generated by Django 5.0 on 2023-12-18 13:37

import django.core.validators
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Location",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=40,
                        validators=[django.core.validators.MinLengthValidator(2)],
                    ),
                ),
                ("slug", models.SlugField(editable=False)),
            ],
        ),
    ]
